Fix wrong CUDA version warning in cmake.
authorBrecht Van Lommel <brechtvanlommel@gmail.com>
Wed, 19 Sep 2018 14:04:11 +0000 (16:04 +0200)
committerBrecht Van Lommel <brechtvanlommel@gmail.com>
Wed, 19 Sep 2018 14:24:45 +0000 (16:24 +0200)
Fix suggested by Dalai.

intern/cycles/kernel/CMakeLists.txt

index c6e92c6d89de5e577a6e561522b279e49b08527c..b48ed649a8c48bdc79a3599d0a3d05fad4b9050c 100644 (file)
@@ -340,11 +340,11 @@ if(WITH_CYCLES_CUDA_BINARIES)
        set(CUDA_VERSION "${CUDA_VERSION_MAJOR}${CUDA_VERSION_MINOR}")
 
        # warn for other versions
-       if(CUDA_VERSION MATCHES "80" OR CUDA_VERSION MATCHES "90")
+       if(CUDA_VERSION MATCHES "90" OR CUDA_VERSION MATCHES "91")
        else()
                message(WARNING
                        "CUDA version ${CUDA_VERSION_MAJOR}.${CUDA_VERSION_MINOR} detected, "
-                       "build may succeed but only CUDA 8.0 is officially supported")
+                       "build may succeed but only CUDA 9.0 and 9.1 are officially supported")
        endif()
 
        # build for each arch